﻿.inpuield {
    width: 65%;
    padding: 10px;
    font-size: 2em;
    border-radius: 5px;
    border: 1px solid #ccc;
}

select {
    width: 120px; 
    height:55px;
    padding: 5px; 
    font-size: 26px; 
    color: #333; 
    border: 1px solid #ccc; 
    border-radius: 4px; 
    background-color: #fff; 
    appearance: none; 
    -moz-appearance: none;
    -webkit-appearance: none; 
}

.toggle-container {
  display: flex; /* 使用 Flexbox 布局 */
  align-items: center; /* 垂直居中对齐子元素 */
  justify-content: center; /* 水平居中对齐子元素 */
  gap: 10px; /* 设置标签和开关之间的间距 */
  width: 100%; /* 确保容器占据父元素的宽度，以便居中生效 */
  /* margin: 10px 0; */ /* 如果需要上下间距，可以取消注释 */
}

.toggle-label {
  font-size: 32px;
  white-space: nowrap;
}

.input-field {
    width: 80%;
    height:355px;
    padding: 10px; 
    font-size: 26px; 
    border-radius: 5px;
    border: 1px solid #ccc; 
}
.switch {
  position: relative;
  display: inline-block;
  width: 90px;
  height: 34px;
}
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: 0.4s;
  border-radius: 34px;
}
.switch input:checked + .slider {
  background-color: #2196f3; 
}
.slider::before {
  position: absolute;
  content: "";
  height: 25px;
  width: 25px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  transition: 0.4s;
  border-radius: 50%;
}
.switch input:checked + .slider::before {
  transform: translateX(58px);
}
.slider {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}
.slider::before {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}
